> For the complete documentation index, see [llms.txt](https://asiabill.gitbook.io/api-explorer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://asiabill.gitbook.io/api-explorer/webhook/ju-fu-shi-jian.md).

# 拒付事件

{% openapi src="/files/ajHcIelLZ9RV5wLk1Wog" path="{callbackUrl chargeback}" method="post" %}
[webhook\_OpenAPI.json](https://1129616527-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FMb9UzyxGUyxHylm4UJSJ%2Fuploads%2Fyp26dgwzZhFUSrBEWQ9l%2Fwebhook_OpenAPI.json?alt=media\&token=7e13dde6-1a22-4f6e-b67b-c5f1caa7dabc)
{% endopenapi %}

### 请求报文示例

{% code title="webhook.sh" %}

```
curl --request POST \
  --url https://{callbackUrl chargeback} \
  --header 'Content-Type: application/json' \
  --header 'request-id: 58675' \
  --header 'request-time: 1651888520935' \
  --header 'gateway-no: 12345001' \
  --header 'version: V2022-03' \
  --header 'sign-info: 787966BF2479A1BE8E1886CD18E6919447FAF4F357E7056188D4F035661B822B' \
  --data '{
    "data": {
        "chargebackInfo": {
            "replyDeadline": "2022-06-09 18:00:00",
            "cpdDate": "2022-04-12 14:57:07"
        },
        "reason": "D4755-Non-Receipt of Goods or Services",
        "amount": "0.12",
        "batchNo": "452537",
        "orderAmount": "244.56",
        "orderNo": "NEW_API1229990656196",
        "tradeNo": "2022040617154768289223",
        "orderCurrency": "CNY",
        "noticeDate": "2022-04-26 14:58:19",
        "currency": "CNY"
    },
    "type": "chargeback.success"
}'
```

{% endcode %}

{% hint style="info" %} <mark style="color:orange;">{callbackUrl chargeback}</mark> 地址为交易时填写的 <mark style="color:red;">callbackUrl</mark> 参数

商户收到该事件通知后，返回"success"，则表示通知成功，否则会继续通知
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://asiabill.gitbook.io/api-explorer/webhook/ju-fu-shi-jian.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
